Auto Provisioning Settings - List

Exposes the auto provisioning settings of the subscriptions

GET https://management.azure.com/subscriptions/{subscriptionId}/providers/Microsoft.Security/autoProvisioningSettings?api-version=2017-08-01-preview

URI Parameters

Name In Required Type Description
subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Responses

Name Type Description
200 OK

AutoProvisioningSettingList

Azure operation completed successfully.

Other Status Codes

Common.CloudError

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

Get auto provisioning settings for subscription

Sample request

GET https://management.azure.com/subscriptions/20ff7fc3-e762-44dd-bd96-b71116dcdc23/providers/Microsoft.Security/autoProvisioningSettings?api-version=2017-08-01-preview

Sample response

{
  "value": [
    {
      "name": "default",
      "type": "Microsoft.Security/autoProvisioningSettings",
      "id": "/subscriptions/20ff7fc3-e762-44dd-bd96-b71116dcdc23/providers/Microsoft.Security/autoProvisioningSettings/default",
      "properties": {
        "autoProvision": "On"
      }
    }
  ]
}

Definitions

Name Description
AutoProvision

Describes what kind of security agent provisioning action to take

AutoProvisioningSetting

Auto provisioning setting

AutoProvisioningSettingList

List of all the auto provisioning settings response

Common.CloudError

Common error response for all Azure Resource Manager APIs to return error details for failed operations. (This also follows the OData error response format.).

Common.CloudErrorBody

The error detail.

createdByType

The type of identity that created the resource.

ErrorAdditionalInfo

The resource management error additional info.

systemData

Metadata pertaining to creation and last modification of the resource.

AutoProvision

Describes what kind of security agent provisioning action to take

Value Description
On

Install missing security agent on VMs automatically

Off

Do not install security agent on the VMs automatically

AutoProvisioningSetting

Auto provisioning setting

Name Type Description
id

string (arm-id)

Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

name

string

The name of the resource

properties.autoProvision

AutoProvision

Describes what kind of security agent provisioning action to take

systemData

systemData

Azure Resource Manager metadata containing createdBy and modifiedBy information.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

AutoProvisioningSettingList

List of all the auto provisioning settings response

Name Type Description
nextLink

string

The URI to fetch the next page.

value

AutoProvisioningSetting[]

List of all the auto provisioning settings

Common.CloudError

Common error response for all Azure Resource Manager APIs to return error details for failed operations. (This also follows the OData error response format.).

Name Type Description
error.additionalInfo

ErrorAdditionalInfo[]

The error additional info.

error.code

string

The error code.

error.details

Common.CloudErrorBody[]

The error details.

error.message

string

The error message.

error.target

string

The error target.

Common.CloudErrorBody

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

Common.CloudErrorBody[]

The error details.

message

string

The error message.

target

string

The error target.

createdByType

The type of identity that created the resource.

Value Description
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

object

The additional info.

type

string

The additional info type.

systemData

Metadata pertaining to creation and last modification of the resource.

Name Type Description
createdAt

string (date-time)

The timestamp of resource creation (UTC).

createdBy

string

The identity that created the resource.

createdByType

createdByType

The type of identity that created the resource.

lastModifiedAt

string (date-time)

The timestamp of resource last modification (UTC)

lastModifiedBy

string

The identity that last modified the resource.

lastModifiedByType

createdByType

The type of identity that last modified the resource.